Loading...
Searching...
No Matches
buffersink.h File Reference
libavfilter » Buffer sink API

memory buffer sink API for audio and video More...

`#include "avfilter.h"`

Go to the source code of this file.

## Macros

#define | AV_BUFFERSINK_FLAG_PEEK 1
| Tell av_buffersink_get_buffer_ref() to read video/samples buffer reference, but not remove it from the buffer.
#define | AV_BUFFERSINK_FLAG_NO_REQUEST 2
| Tell av_buffersink_get_buffer_ref() not to request a frame from its input.

## Functions

int | av_buffersink_get_frame_flags (AVFilterContext *ctx, AVFrame *frame, int flags)
| Get a frame with filtered data from sink and put it in frame.
void | av_buffersink_set_frame_size (AVFilterContext *ctx, unsigned frame_size)
| Set the frame size for an audio buffer sink.
enum AVMediaType | av_buffersink_get_type (const AVFilterContext *ctx)
AVRational | av_buffersink_get_time_base (const AVFilterContext *ctx)
int | av_buffersink_get_format (const AVFilterContext *ctx)
AVRational | av_buffersink_get_frame_rate (const AVFilterContext *ctx)
int | av_buffersink_get_w (const AVFilterContext *ctx)
int | av_buffersink_get_h (const AVFilterContext *ctx)
AVRational | av_buffersink_get_sample_aspect_ratio (const AVFilterContext *ctx)
enum AVColorSpace | av_buffersink_get_colorspace (const AVFilterContext *ctx)
enum AVColorRange | av_buffersink_get_color_range (const AVFilterContext *ctx)
enum AVAlphaMode | av_buffersink_get_alpha_mode (const AVFilterContext *ctx)
int | av_buffersink_get_channels (const AVFilterContext *ctx)
int | av_buffersink_get_ch_layout (const AVFilterContext *ctx, AVChannelLayout *ch_layout)
int | av_buffersink_get_sample_rate (const AVFilterContext *ctx)
AVBufferRef * | av_buffersink_get_hw_frames_ctx (const AVFilterContext *ctx)
const AVFrameSideData *const * | av_buffersink_get_side_data (const AVFilterContext *ctx, int *nb_side_data)
int | av_buffersink_get_frame (AVFilterContext *ctx, AVFrame *frame)
| Get a frame with filtered data from sink and put it in frame.
int | av_buffersink_get_samples (AVFilterContext *ctx, AVFrame *frame, int nb_samples)
| Same as av_buffersink_get_frame(), but with the ability to specify the number of samples read.

## Detailed Description

memory buffer sink API for audio and video

Definition in file buffersink.h.